namespace Engine.Resource;

public class FilesystemResourceStreamProvider(string parBasePath) : IResourceStreamProvider
{
  public Stream GetStream(string parPath)
  {
    return File.OpenRead(Path.Combine(parBasePath, parPath));
  }
}